Issue 41938

Summary: Request for Non Persistent Case Formatting Options
Product: Writer Reporter: mkol <m_kolman2>
Component: formattingAssignee: AOO issues mailing list <issues>
Status: CLOSED WONT_FIX QA Contact:
Severity: Trivial    
Priority: P3 CC: ace_dent, elish, issues
Version: OOo 1.1   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description mkol 2005-02-03 02:19:20 UTC
Although This issue is related to issue no . 41457 but it talks about a 
different usability problem.

If users want to change Cases of the selected text, then they can use 2 
approaches
(1) By Selecting Format -> Case/Character
Here Only 2 Options are available Upper and Lower case. When these options are 
applied on the selected text, then the resulted case formatting is *NON 
PERSISTENT*

i.e. If users want then they can again *manually* change the cases of the 
subjected text or can type more text in whatever case they want in between 
this text. This Kind of behavior is highly *DESIRABLE*

(2) Another approach is to Select Format -> Character -> Font Effects -> 
Effects
Here more options are available apart from the 1st approach. In case if users 
select the desired text and formats the cases using this approach, then the 
resultant case formatting becomes *PERSISTENT*.

i.e. If users want to *manually* change the cases of the subjected text *Now* 
then they can *NOT* do so! If a user types more text in between this text, 
then the new text will be  *ONLY* in this case. There is no easy way to change 
it.

e.g. If users applied uppercases using this approach, and now want to type 
lower case letters in the subjected text, then they can not do so. Even if 
Caps Lock is off, characters typed here will be in upper case! This approach 
is just like a sticky formatting, there is no easy way to escape from it, once 
it has been applied. This kind of behavior is highly *UNDESIRABLE*.

Apart From Suggestions made in issue no 41457 here is one more-

All types of Case Formatting, by any approach should be *NON PERSISTENT* i.e. 
Users should be able to *Manually* format the subjected text in whatever way 
they want (uppercase/lowercase/title case etc), once case formatting has been 
applied using word processor.

This kind of functionality is also desired for Calc, Impress etc.

However if you must continue your current method, then please give the user 
the liberty to choose PERSISTENT case formatting or NON PERSISTENT case 
formatting. Default setting for it *should* be *NON PERSISTENT*.

Please also have a look at the closely related issue no . 41457 (URL is 
http://www.openoffice.org/issues/show_bug.cgi?id=41457  )
Comment 1 michael.ruess 2005-02-03 07:48:41 UTC
MRU->US: could you please explain the sense of Format.Case/Characters?
Thanks a lot!
Comment 2 ulf.stroehler 2005-03-10 16:37:01 UTC
Pls. take over.
Comment 3 stefan.baltzer 2005-03-16 13:26:29 UTC
SBA: Reassigned to Requirements.
Comment 4 guraknugen 2007-04-16 16:45:46 UTC
I can't really verify that it is persistant.

If I enter "This IS my TeSt teXT" and then select Title, it changes to "This IS 
My TeSt TeXT" (upper case are not changed to lower case, but some lower case 
are changed to upper case, which probably is correct behaviour).

Now I insert "hElLo" so it all change to "This IS My TeSt HElLo TeXT". If I now 
change the effect to "(Without)", the whole sentence changes to "This IS my 
TeSt hElLo teXT". So what you are typing is what persists. How you set the 
effect only affect what the text looks like. For example, write a few words in 
lower case, change the effect to upper case, highlight the words you wrote, 
copy them into a text editor. The text editor now displays the text in lower 
case.

So it's not persistant. If it is, I think I just want to know what "persistant" 
means in this case...


OpenOffice.org 2.2, Windows XP SP2.
Comment 5 Edwin Sharp 2014-03-23 12:38:12 UTC
Format - Change Case is non persistent
Format - Character... - Font Effects - Effects is persistent

There is no point having two methods for the same result - it is possible user wants persistence. 

AOO410m14(Build:9760)  -  Rev. 1573062
2014-03-01_04:11:01 - Rev. 1573123
Debian